# Uses of Record Class
org.apache.lucene.search.spell.CombineSuggestion

Packages that use CombineSuggestion
Package
Description
org.apache.lucene.search.spell
Suggest alternate spellings for words.

- ## Uses of CombineSuggestion in org.apache.lucene.search.spell

  Methods in org.apache.lucene.search.spell that return CombineSuggestion
  Modifier and Type
  Method
  Description
  `CombineSuggestion[]`
  WordBreakSpellChecker.`suggestWordCombinations(Term[] terms, int maxSuggestions, IndexReader ir, SuggestMode suggestMode)`
  Generate suggestions by combining one or more of the passed-in terms into single words.